Message: Re: GEANT4 Release 4.9.4.p01 and Scientific Linux 6.0 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Re: GEANT4 Release 4.9.4.p01 and Scientific Linux 6.0 

Forum: Installation and Configuration
Re: Sad GEANT4 Release 4.9.4.p01 and Scientific Linux 6.0 (Martin Thompson)
Date: 28 Apr, 2011
From: Ben Morgan <Ben Morgan>

Hi Martin,

On Mon, 25 Apr 2011 18:01:29 GMT, Martin Thompson wrote:
> Has anyone attempting installing GEANT4 Release 4.9.4.p01 on Scientific
> Linux 6 (64-bit version)??

Not to my knowledge, it's not yet officially supported

> I am having problems related to previously encountered problems with
> earlier versions of both Sci Linux and GEANT4 but not as easily
> resolvable. I see 'so' files in /usr/lib64 but no /usr/X11R6/lib64
> directory exists and there is only one rpm file listed by yum list that
> has both '64' and 'devel' in the name. I tried installing this using
> 'yum install' and it said the package was already installed and
> up-to-date.

Could you describe the issue in a bit more detail, including error messages please? It sounds like the issue is one of finding the needed X11 libraries, in which case the usual solutions (which I guess you've tried) are:

  • Set X11FLAGS in the environment (or patch, in this case Linux-g++.gmk) if X11 headers aren't found.
  • Set X11LIBS in the environment (or patch, in this case Linux-g++.gmk) if X11 libraries aren't found.

If SL6 is installing X11 libraries in /usr/lib64, then there shouldn't be any changes needed as the linker should pick the libraries up automatically.

Cheers,

Ben.

 Add Message Add Message
to: "Re: GEANT4 Release 4.9.4.p01 and Scientific Linux 6.0"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]